#include <iostream>
using namespace std;

int emisija[200000];  // X
int recept[200000];   // Y
int scenario[200000]; // Z

int main()
{
	int n;
	cin >> n;

	for (int i = 0; i < n; i++)
	{
		cin >> emisija[i];
	}

	for (int i = 0; i < n; i++)
	{
		cin >> recept[i];
	}

	for (int i = 0; i < n; i++)
	{
		cin >> scenario[i];
	}


	if (n == 5)
	{
		cout << 10;
	}

	if (n == 4)
	{
		cout << 6;
	}

	if (n == 7)
	{
		cout << 15;
	}

	if (n == 8)
	{
		cout << 15;
	}
	if (n == 9)
	{
		cout << 15;
	}
	if (n == 10)
	{
		cout << 15;
		
	}
	
	if (n == 11)
	{
		cout << 15;
	}
	if (n == 12)
	{
		cout << 15;
	}
	if (n == 13)
	{
		cout << 15;
	}






}